### Method

# Gtk TreeViewget_search_entry

deprecated: 4.10

#### Declaration [src]

    GtkEditable*
    gtk_tree_view_get_search_entry (
      GtkTreeView* tree_view
    )

#### Description [src]

Returns the `GtkEntry` which is currently in use as interactive search entry for `tree_view`. In case the built-in entry is being used, `NULL` will be returned.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Return value

Type: `GtkEditable`

The entry currently in use as search entry.

The data is owned by the instance.
The return value can be `NULL`.